:host ::ng-deep lucide-icon, :host ::ng-deep svg {
  display: block;
  width: 1em;
  height: 1em;
}
:host ::ng-deep input, :host ::ng-deep select, :host ::ng-deep textarea {
  padding: 0;
  margin: 0;
  outline: none;
  border: 0;
  background: transparent;
  color: inherit;
  font-size: inherit;
  width: 100%;
}
:host ::ng-deep textarea {
  resize: vertical;
  min-height: 8.8em;
}
:host ::ng-deep input, :host ::ng-deep select {
  line-height: 1.5;
  height: 2.4rem;
}
.field {
  font-size: 1.6rem;
  margin: 1.5em 0;
}
.field__start, .field__end {
  display: block;
}
.field__start:empty, .field__end:empty {
  display: none;
}
.field__label {
  display: block;
  padding: 0 0 0.8rem 0.8rem;
}
.field__label:empty {
  display: none;
}
.field__input {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.5em;
  padding: calc(0.5em - 1px) 0.5em;
  border: 1px solid transparent;
  border-radius: 8px;
  background: rgba(255, 255, 255, 0.08);
  box-shadow: 0 2px 4px rgba(35, 44, 71, 0.377);
}
.field__input:focus-within, .field__input:active {
  border: 1px solid rgba(255, 255, 255, 0.48);
}
.field__errors {
  padding-left: 0.8rem;
  padding-top: 0.8rem;
  color: var(--ms-danger-color);
}
.field__errors p, .field__errors ul {
  font-size: 20px;
  color: red;
  margin: 0;
}
.field__errors ul {
  padding-left: 2.4rem;
}
